Highlight lines via URL in repository browsings file view
Category: UI Estimated time: 0.00 hour
Resolution: Duplicate   

Description

It would be pretty need if we were able to highlight any relevant code we want to while viewing files in the repository browser (thus

covering the orginal, and annotate views)

Usage example: Say I encountered a bug, say that I know what lines are causing the problems, and (if applicable) what revision the

problem I'm using, however I'm just a normal user, I can't commit or anything, I may not even know how to fix it, but I can write an

issue report, and I can tell them what the problem is. So I link to the repository browsers file view (file view or annotate works fine),

and link to "#L54", the line the problematic code is in.

That's ok in theory, but wouldn't it be easier instead of having to mention in my bug report that the problem is line 54-69, why can't I

just append something to the URL like.. ".../repository/entry||annotate/trunk/file.rb?h=54-69#L54"

Now my URL example may not be the best for how you guys would like to implement such a feature, but the URL is only one way

that I have figured would be the easiest to do such a thing, and you're free to make suggestions/change it as long as it maintains

functionality. You get the picture, and I'm sure this wouldn't be way too hard to accomplish either. (:

Related issues:

Is duplicate of Redmine - Feature #13746: Highlighting of source link target ... Closed

History

#1 - 2010-09-11 01:50 - Ве Fio

It would be pretty neat if we*

#2 - 2013-11-21 17:05 - Anonymous

This might be a duplicate of #13746.

#3 - 2013-12-05 06:54 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Stefan Tatschner wrote:

This might be a duplicate of #13746.

 Thank you for your pointing.

#4 - 2013-12-05 06:54 - Toshi MARUYAMA

- Is duplicate of Feature #13746: Highlighting of source link target line added
